Bug 802567 - gnome-shell (3.4) loss of keyboard on some fullscreen games - fallback mode is o.k.
gnome-shell (3.4) loss of keyboard on some fullscreen games - fallback mode i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 18:00 EDT by Morgan Cox
Modified: 2014-02-05 06:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 949332 (view as bug list)
Environment:
Last Closed: 2014-02-05 06:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Morgan Cox 2012-03-12 18:00:18 EDT
Description of problem:

Some full screen apps/games have a loss of keyboard control when using gnome-shell. 

Issue is fixed by using fallback mode / KDE/LXDE, etc

I have a nvidia card - using drivers from RPMfusion.



Version-Release number of selected component (if applicable):

gnome-shell-3.2.2.1-1.fc16.x86_64


How reproducible:

100%


Steps to Reproduce:

1. load default Fedora desktop (gnome3)
2. load app - i.e paintball2 (www.dplogin.com)
3. lose control on keyboard 
  
Actual results:

No keyboard control

Expected results:

working keyboard - like you get with all other de's (including gnome3 fallback)

Additional info:

- Issue is fixed by using fallback mode - or by toggling fullscreen
/resolution
- It sounds similar to https://bugzilla.redhat.com/show_bug.cgi?id=717103
- it is not all apps/games.
Comment 1 Morgan Cox 2012-06-08 15:57:28 EDT
Updated

Issue still occurs in Fedora 17 / Gnome 3.4.

Its NOT just a Fedora issue its a gnome3 issue.

To Reproduce:-

an example game - download from : http://digitalpaint.org/files/ 

1 - install deps

alsa-oss.x86_64  alsa-oss-libs.x86_64  alsa-oss-libs.i686  alsa-plugins-oss.i686  alsa-plugins-oss.x86_64  libjpeg-turbo.i686  libpng.i686  libpng10.i686    libpng-compat.i686  libXxf86misc.x86_64  libXxf86misc.i686  libXxf86dga.i686  libXxf86dga.i686  libXxf86vm.i686   libXxf86vm.x86_64   libgpg-error.i686 libgcrypt.i686 libdrm.i686 librtmp.i686  libstdc++-static.i686 

2 - run game 

(note when you first run the game it can take a while to load (sometimes minutes - i suggest you run it in fallback mode first then when its loaded correctly switch to standard gnome3.)

3 - have absolutely no keyboard control - to exit game alt+tab, then ctrl+c

It works 100% fine in gnome3 fallback, kde4, lxde, xfce, unity (although its slowest in unity..) -just not standard gnome 3.

I have the following revelevent packages...

gnome-desktop3-3.4.2-1.fc17.x86_64
gnome-shell-3.4.1-5.fc17.x86_64
xorg-x11-drv-nvidia-295.53-1.fc17.x86_64
xorg-x11-drv-nvidia-libs-295.53-1.fc17.x86_64
xorg-x11-drv-nvidia-libs-295.53-1.fc17.i686
akmod-nvidia-295.53-1.fc17.1.x86_64
nvidia-settings-1.0-18.fc17.x86_64

Its not just this game.....
Comment 2 Morgan Cox 2012-06-22 06:05:32 EDT
Seeing as as its been 1/4 of a year and there has been 0 response to it I decided to open another thread @ gnome buzilla.

https://bugzilla.gnome.org/show_bug.cgi?id=677934

Thankfully someone has actually been bothered to respond.

I must say - this SHOULD be viewed as pretty urgent - there are lots of games (for Nvidia users) you simply cannot play when using gnome 3.x - unless you go to fallback mode.

I would say that is a pretty serious bug.....
Comment 3 Morgan Cox 2013-04-07 15:57:04 EDT
STILL PRESENT ON GNOME 3.6 !!!

I have to STILL go to fallback mode / choose a DE that actually works (i.e KDE) in order to actually run the game.

Will try gnome 3.8 as soon as its in Arch repos - I imagine it will be be the same.

The issue is reproducible 100% of the time.
Comment 4 Morgan Cox 2013-05-27 05:31:29 EDT
Fixed in gnome 3.8 !

Essentially gnome 3.0 - 3.6 is unable to play certain apps fullscreen.

Glad is fixed in 3.8 - shame for the poor buggers using 3.0-3.6
Comment 5 Fedora End Of Life 2013-12-21 03:34:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 06:55:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.